package ink.wgink.exceptions;


import ink.wgink.exceptions.base.SystemException;

/**
 * @ClassName: ParamsException
 * @Description: 参数异常
 * @Author: WangGeng
 * @Date: 2019/2/26 3:53 PM
 * @Version: 1.0
 **/
public class ParamsException extends SystemException {

    public ParamsException() {
    }

    public ParamsException(String message) {
        super(message);
    }

    public ParamsException(String message, boolean withMsg) {
        super(message, withMsg);
    }

    public ParamsException(String message, Throwable cause) {
        super(message, cause);
    }

    public ParamsException(Throwable cause) {
        super(cause);
    }
}
