package ink.wgink.exceptions;


import ink.wgink.exceptions.base.SystemException;

/**
 * @ClassName: SaveException
 * @Description: 新增异常
 * @Author: WangGeng
 * @Date: 2019/2/26 5:24 PM
 * @Version: 1.0
 **/
public class SaveException extends SystemException {

    public SaveException() {
    }

    public SaveException(String message) {
        super(message);
    }

    public SaveException(String message, boolean withMsg) {
        super(message, withMsg);
    }

    public SaveException(String message, Throwable cause) {
        super(message, cause);
    }

    public SaveException(Throwable cause) {
        super(cause);
    }
}
