package ink.wgink.interfaces.init;

import ink.wgink.exceptions.UpdateException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IInitBaseTable
 * @Description: 初始化基础表
 * @Author: WangGeng
 * @Date: 2021/6/14 21:34
 * @Version: 1.0
 **/
public interface IInitBaseTable {

    /**
     * 建表
     *
     * @throws UpdateException
     */
    void createTable() throws UpdateException;

}
