package ink.wgink.interfaces.permission;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IPermissionBaseService
 * @Description: 权限基础业务
 * @Author: WangGeng
 * @Date: 2021/2/25 15:49
 * @Version: 1.0
 **/
public interface IPermissionBaseService {

    /**
     * 新增权限
     */
    String PERMISSION_INSERT = "permissionInsert";
    /**
     * 删除权限
     */
    String PERMISSION_DELETE = "permissionDelete";
    /**
     * 修改权限
     */
    String PERMISSION_UPDATE = "permissionUpdate";
    /**
     * 查询权限
     */
    String PERMISSION_QUERY = "permissionQuery";

}
