package ink.wgink.interfaces.user.wechat.miniapp;

import java.util.List;

/**
 * @ClassName: IMiniappUserBaseService
 * @Description: 微信小程序接口
 * @Author: wanggeng
 * @Date: 2021/8/18 10:59 上午
 * @Version: 1.0
 */
public interface IMiniappUserBaseService {

    /**
     * 删除用户
     *
     * @param userId 用户ID
     */
    void delete(String userId);

    /**
     * 删除用户
     *
     * @param userIds 用户ID列表
     */
    void delete(List<String> userIds);

}
