package ink.wgink.login.app.pojo.pos.appversion;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppDevicePO
 * @Description: app设备
 * @Author: wanggeng
 * @Date: 2021/4/7 4:33 下午
 * @Version: 1.0
 */
public class AppVersionPO implements Serializable {

    private static final long serialVersionUID = 6906701658888507376L;
    private String appVersionId;
    private String appName;
    private String appSummary;
    private Integer appVersion;
    private Integer appDownloadCount;
    private String appFile;
    private Integer appApiLock;
    private Integer isNecessary;
    private Integer isRelease;

    public String getAppVersionId() {
        return appVersionId == null ? "" : appVersionId;
    }

    public void setAppVersionId(String appVersionId) {
        this.appVersionId = appVersionId;
    }

    public String getAppName() {
        return appName == null ? "" : appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppSummary() {
        return appSummary == null ? "" : appSummary;
    }

    public void setAppSummary(String appSummary) {
        this.appSummary = appSummary;
    }

    public Integer getAppVersion() {
        return appVersion == null ? 0 : appVersion;
    }

    public void setAppVersion(Integer appVersion) {
        this.appVersion = appVersion;
    }

    public Integer getAppDownloadCount() {
        return appDownloadCount == null ? 0 : appDownloadCount;
    }

    public void setAppDownloadCount(Integer appDownloadCount) {
        this.appDownloadCount = appDownloadCount;
    }

    public String getAppFile() {
        return appFile == null ? "" : appFile;
    }

    public void setAppFile(String appFile) {
        this.appFile = appFile;
    }

    public Integer getAppApiLock() {
        return appApiLock == null ? 0 : appApiLock;
    }

    public void setAppApiLock(Integer appApiLock) {
        this.appApiLock = appApiLock;
    }

    public Integer getIsNecessary() {
        return isNecessary == null ? 0 : isNecessary;
    }

    public void setIsNecessary(Integer isNecessary) {
        this.isNecessary = isNecessary;
    }

    public Integer getIsRelease() {
        return isRelease == null ? 0 : isRelease;
    }

    public void setIsRelease(Integer isRelease) {
        this.isRelease = isRelease;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"appVersionId\":\"")
                .append(appVersionId).append('\"');
        sb.append(",\"appName\":\"")
                .append(appName).append('\"');
        sb.append(",\"appSummary\":\"")
                .append(appSummary).append('\"');
        sb.append(",\"appVersion\":")
                .append(appVersion);
        sb.append(",\"appDownloadCount\":")
                .append(appDownloadCount);
        sb.append(",\"appFile\":\"")
                .append(appFile).append('\"');
        sb.append(",\"appApiLock\":")
                .append(appApiLock);
        sb.append(",\"isNecessary\":")
                .append(isNecessary);
        sb.append(",\"isRelease\":")
                .append(isRelease);
        sb.append('}');
        return sb.toString();
    }
}
