package ink.wgink.module.file.media.controller.api.audio;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AudioController
 * @Description: 音频
 * @Author: WangGeng
 * @Date: 2021/6/8 22:05
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "音频接口")
@RestController
@RequestMapping(ISystemConstant.API_PREFIX + "/audio")
public class AudioController extends DefaultBaseController {
}
