package ink.wgink.module.sms.factory.sms;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ISendSms
 * @Description: 发送短信
 * @Author: wanggeng
 * @Date: 2021/5/1 3:49 下午
 * @Version: 1.0
 */
public interface ISmsSend {

    /**
     * 发送验证码
     *
     * @param phone
     * @param code
     */
    void code(String phone, String code);

    /**
     * 发送短信
     *
     * @param phone
     * @param content
     */
    void content(String phone, String content);

}
