package ink.wgink.module.wechat.service.official.account;

import ink.wgink.module.wechat.result.OfficialAccountEventResult;

import javax.servlet.AsyncContext;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IOfficialAccountAutoReplyService
 * @Description: 自动回复
 * @Author: wanggeng
 * @Date: 2021/5/2 10:54 上午
 * @Version: 1.0
 */
public interface IOfficialAccountTextService {

    /**
     * 回复
     *
     * @param officialAccountEventResult
     * @param asyncContext
     * @param response
     * @throws IOException
     */
    void getReplay(OfficialAccountEventResult officialAccountEventResult, AsyncContext asyncContext, HttpServletResponse response) throws IOException;
}
