package ink.wgink.service.group.service;

import ink.wgink.interfaces.group.IGroupBaseService;
import ink.wgink.interfaces.group.IGroupCheckService;
import ink.wgink.service.group.pojo.vos.GroupVO;

import java.util.List;

/**
 * @ClassName: IGroupService
 * @Description: 组
 * @Author: wenc
 * @Date: 2019/1/6 3:20 PM
 * @Version: 1.0
 **/
public interface IGroupService extends IGroupBaseService, IGroupCheckService {

    /**
     * 新增组
     *
     * @param groupVO
     * @return
     */
    void save(GroupVO groupVO);

    /**
     * 删除组
     *
     * @param ids
     * @return
     */
    void remove(List<String> ids);

    /**
     * 修改组
     *
     * @param groupId
     * @param groupVO
     * @return
     */
    void update(String groupId, GroupVO groupVO);

}
