package ink.wgink.service.role.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RoleDataAuthorityRouteController
 * @Description: 角色数据权限
 * @Author: WangGeng
 * @Date: 2021/2/21 9:57
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "角色数据权限路由接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/role/data-right")
public class RoleDataRightRouteController {

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("role/dataright/update");
    }

}
