package ink.wgink.service.role.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RoleMenuRouteController
 * @Description: 角色菜单路由
 * @Author: WangGeng
 * @Date: 2021/2/23 21:35
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "角色菜单路由")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/role/menu")
public class RoleMenuRouteController {

    @GetMapping("tree")
    public ModelAndView tree() {
        return new ModelAndView("role/menu/tree");
    }

}
