package ink.wgink.service.role.service;

import ink.wgink.interfaces.role.IRolePermissionBaseService;
import ink.wgink.pojo.dtos.role.RolePermissionDTO;
import ink.wgink.service.role.pojo.vos.RolePermissionVO;

import java.util.List;
import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRoleService
 * @Description: 角色
 * @Author: WangGeng
 * @Date: 2021/1/31 18:50
 * @Version: 1.0
 **/
public interface IRolePermissionService extends IRolePermissionBaseService {

    /**
     * 更新权限
     *
     * @param roleId
     * @param rolePermissionVO
     */
    void update(String roleId, RolePermissionVO rolePermissionVO);


}
