package ink.wgink.interfaces.expand.login;

import ink.wgink.pojo.bos.LoginUser;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ILoginExpand
 * @Description: 登录处理器，该接口在用户登录成功后执行自定义的处理
 * @Author: wanggeng
 * @Date: 2021/5/1 10:02 下午
 * @Version: 1.0
 */
public interface ILoginHandlerService {

    /**
     * 登录处理
     *
     * @param loginUser
     * @throws Exception
     */
    void handle(LoginUser loginUser) throws Exception;

}
