package ink.wgink.interfaces.expand.register;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRegisterExpand
 * @Description: 注册处理器，该接口在登录成功之后执行自定义的处理
 * @Author: wanggeng
 * @Date: 2021/5/1 10:02 下午
 * @Version: 1.0
 */
public interface IRegisterHandlerService {

    /**
     * 注册处理
     *
     * @param userId        注册成功的用户ID
     * @param requestParams 请求参数
     * @throws Exception
     */
    void handler(String userId, Map<String, Object> requestParams) throws Exception;

}
