package ink.wgink.interfaces.user.wechat.official.account;

import java.util.List;

/**
 * @ClassName: IOfficialAccountBaseService
 * @Description: 公众号用户
 * @Author: wanggeng
 * @Date: 2021/8/18 3:11 下午
 * @Version: 1.0
 */
public interface IOfficialAccountBaseService {

    /**
     * 删除用户
     *
     * @param userId 用户ID
     */
    void delete(String userId);

    /**
     * 删除用户
     *
     * @param userIds 用户ID列表
     */
    void delete(List<String> userIds);

}
