package ink.wgink.common.service.rbac;

import org.springframework.security.core.Authentication;

import javax.servlet.http.HttpServletRequest;

/**
 * @ClassName: IRbacService
 * @Description: 权限校验
 * @Author: WangGeng
 * @Date: 2019-05-30 15:15
 * @Version: 1.0
 **/
public interface IRbacService {

    /**
     * 包含权限
     *
     * @param request
     * @param authentication
     * @return
     */
    boolean hasPermission(HttpServletRequest request, Authentication authentication);

}
