package ink.wgink.login.base.service.log;

import ink.wgink.login.base.pojo.dtos.log.LoginLogDTO;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;
import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ILoginLogService
 * @Description: 登录日志
 * @Author: wanggeng
 * @Date: 2021/2/28 10:38 上午
 * @Version: 1.0
 */
public interface ILoginLogService {

    /**
     * 添加
     *
     * @param params
     */
    void save(Map<String, Object> params);

    /**
     * 统计
     *
     * @param day
     * @return
     */
    Integer countDay(String day);

    /**
     * 登录日志分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<LoginLogDTO>> listPage(ListPage page);

}
