package ink.wgink.login.oauth2.server.service;

import ink.wgink.pojo.dtos.menu.MenuDTO;

import java.util.List;

/**
 * @ClassName: IOAuth2ClientMenuService
 * @Description: 客户端菜单业务
 * @Author: wanggeng
 * @Date: 2021/9/22 11:33 上午
 * @Version: 1.0
 */
public interface IOAuth2ClientMenuService {

    /**
     * 菜单列表
     *
     * @param clientId 客户端ID
     * @param roleIds  角色ID列表
     * @return
     */
    List<MenuDTO> listAll(String clientId, List<String> roleIds);

}
