package ink.wgink.login.wechat.service.sign;

import ink.wgink.login.wechat.pojo.vos.sign.MiniappLoginVO;
import ink.wgink.login.wechat.pojo.vos.update.MiniappUpdatePhoneVO;

import java.io.UnsupportedEncodingException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IMiniAppSignService
 * @Description: 小程序登录
 * @Author: wanggeng
 * @Date: 2021/4/8 5:14 下午
 * @Version: 1.0
 */
public interface IMiniappSignService {

    /**
     * 默认登录
     *
     * @param miniAppLoginVO
     * @return
     * @throws Exception
     */
    String defaultSign(MiniappLoginVO miniAppLoginVO) throws Exception;

    /**
     * 更新电话
     *
     * @param token
     * @param miniappUpdatePhoneVO
     * @return
     */
    String updatePhone(String token, MiniappUpdatePhoneVO miniappUpdatePhoneVO) throws UnsupportedEncodingException;
}
