package ink.wgink.module.instantmessage.service;

/**
 * @ClassName: IWebSocketClientService
 * @Description: websocket客户端
 * @Author: wanggeng
 * @Date: 2021/9/12 4:44 下午
 * @Version: 1.0
 */
public interface IWebSocketClientService {
    /**
     * 登录
     *
     * @param clientName 客户端名称
     * @return sessionId
     */
    String login(String clientName);

    /**
     * 登录
     *
     * @param token
     * @param clientName 客户端名称
     * @return sessionId
     */
    String login(String token, String clientName);

}
