package ink.wgink.module.sms.pojo;

/**
 * 发送邮件需要使用的基本信息
 *
 * @version 2.0
 */

import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;

/**
 * 邮件认证
 * @author wanggeng
 */
public class MailAuthenticator extends Authenticator {
    String userName = null;
    String password = null;

    public MailAuthenticator() {
    }

    public MailAuthenticator(String username, String password) {
        this.userName = username;
        this.password = password;
    }

    @Override
    protected PasswordAuthentication getPasswordAuthentication() {
        return new PasswordAuthentication(this.userName, this.password);
    }
}
