package ink.wgink.module.wechat.service.miniapp;

import ink.wgink.service.user.pojo.pos.UserPO;

/**
 * @ClassName: IMiniappUserCreateCallbackService
 * @Description: 小程序用户创建回调
 * @Author: wanggeng
 * @Date: 2021/8/30 5:50 下午
 * @Version: 1.0
 */
public interface IMiniappUserCreateHandleService {

    /**
     * 用户新增后的处理
     *
     * @param userPO 用户对象
     * @param openid 小程序用户openid
     * @throws Exception
     */
    void handle(UserPO userPO, String openid) throws Exception;
}
