package ink.wgink.module.wechat.service.pay.v3;

import ink.wgink.module.wechat.pojo.pay.v3.PayNoticeCiphertext;

/**
 * @ClassName: IPayNoticeService
 * @Description: 支付通知业务，完成支付后，微信支付发起异步通知，实现该类完成业务处理
 * @Author: wanggeng
 * @Date: 2021/8/20 4:45 下午
 * @Version: 1.0
 */
public interface IPayNoticeService {

    /**
     * 处理支付通知结果，该方法在所有校验通过，加密文本解密之后调用。
     *
     * @param payNoticeCiphertext
     * @throws Exception
     */
    void handle(PayNoticeCiphertext payNoticeCiphertext) throws Exception;

}
