package ink.wgink.module.wechat.service.pay.v3.impl;

import ink.wgink.common.base.DefaultBaseService;
import ink.wgink.module.wechat.pojo.pay.v3.PayNoticeCiphertext;
import ink.wgink.module.wechat.service.pay.v3.IPayNoticeService;
import org.springframework.stereotype.Service;

/**
 * @ClassName: DefaultPayNoticeService
 * @Description: 默认支付通知业务
 * @Author: wanggeng
 * @Date: 2021/8/24 10:57 上午
 * @Version: 1.0
 */
@Service
public class DefaultPayNoticeService extends DefaultBaseService implements IPayNoticeService {

    @Override
    public void handle(PayNoticeCiphertext payNoticeCiphertext) throws Exception {
        LOG.debug("Pay notice: {}", payNoticeCiphertext.toString());
    }

}
