package ink.wgink.module.wechat.service.pay.v3.jsapi;

import ink.wgink.module.wechat.pojo.pay.v3.PaySign;
import ink.wgink.module.wechat.pojo.pay.v3.jsapi.pojo.PayPlaceOrder;

/**
 * @ClassName: IJsapiService
 * @Description: Jsapi业务
 * @Author: wanggeng
 * @Date: 2021/8/19 10:42 上午
 * @Version: 1.0
 */
public interface IJsapiService {

    /**
     * 下单
     *
     * @param payPlaceOrder
     * @return 预支付交易会话标识，预支付交易会话标识。用于后续接口调用中使用，该值有效期为2小时
     */
    PaySign placeOrder(PayPlaceOrder payPlaceOrder) throws Exception;

}
