package ink.wgink.module.wechat.service.pay.v3.order;

import ink.wgink.module.wechat.pojo.pay.v3.order.OrderSearch;

/**
 * @ClassName: IOrderSearchService
 * @Description: 订单查询业务
 * @Author: wanggeng
 * @Date: 2021/8/27 10:47 上午
 * @Version: 1.0
 */
public interface IOrderSearchService {

    /**
     * 微信支付订单查询
     *
     * @param transactionId 微信支付订单号
     * @return
     */
    OrderSearch getOrder(String transactionId) throws Exception;

    /**
     * 商家订单查询
     *
     * @param businessOrderId 商家订单号
     * @return
     */
    OrderSearch getBusinessOrder(String businessOrderId) throws Exception;

}
