package ink.wgink.register.wechat.service.official.account;

import ink.wgink.register.wechat.service.miniapp.OfficialAccountRegisterPhoneVO;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IOfficialAccountRegisterService
 * @Description: 公众号注册
 * @Author: wanggeng
 * @Date: 2021/5/2 3:56 下午
 * @Version: 1.0
 */
public interface IOfficialAccountRegisterService {

    /**
     * 手机注册 + 用户码注册
     *
     * @param officialAccountRegisterPhoneVO
     * @param params
     * @throws Exception
     */
    void registerPhone(OfficialAccountRegisterPhoneVO officialAccountRegisterPhoneVO, Map<String, Object> params) throws Exception;
}
