package ink.wgink.service.role.service;

import ink.wgink.interfaces.role.IRoleMenuBaseService;
import ink.wgink.pojo.dtos.role.RoleMenuDTO;
import ink.wgink.service.role.pojo.vos.RoleMenuVO;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRoleMenuService
 * @Description: 角色菜单
 * @Author: wanggeng
 * @Date: 2021/2/2 12:36 下午
 * @Version: 1.0
 */
public interface IRoleMenuService extends IRoleMenuBaseService {

    /**
     * 更新
     *
     * @param roleId
     * @param roleMenuVO
     */
    void update(String roleId, RoleMenuVO roleMenuVO);


}
