package ink.wgink.service.user.service;

import ink.wgink.service.user.pojo.bos.UserAdjustmentBO;
import ink.wgink.service.user.pojo.dtos.UserLogDTO;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IUserAdjustment
 * @Description: 用户调整
 * @Author: wanggeng
 * @Date: 2021/2/12 3:34 下午
 * @Version: 1.0
 */
public interface IUserAdjustmentService {

    /**
     * 新增修改记录
     *
     * @param userAdjustmentBO
     */
    void save(UserAdjustmentBO userAdjustmentBO);

    /**
     * 用户调整分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<UserLogDTO>> listPage(ListPage page);

}
